%global pypi_name threadpoolctl
%bcond_without test

Name:           python-%{pypi_name}
Version:        3.1.0
Release:        3
Summary:        Python helpers to limit the number of threads
License:        BSD-3-Clause
URL:            https://github.com/joblib/threadpoolctl/
Source0:        https://files.pythonhosted.org/packages/1b/c7/3d85f8b3894ba7228d0c74e16e97a36a72b2cd2b0e0f8f89b5d435d11f71/threadpoolctl-3.1.0.tar.gz
BuildArch:      noarch
BuildRequires:  python3-devel
BuildRequires:  python3-pip python3-wheel python3-flit

%if %{with test}
BuildRequires:  python3-pytest
%endif

%global _description \
Python helpers to limit the number of threads used in\
the threadpool-backed of common native libraries used for\
scientific computing and data science (e.g. BLAS and OpenMP).\
\
Fine control of the underlying thread-pool size can be useful in\
workloads that involve nested parallelism so as to mitigate oversubscription issues.

%description %{_description}

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name} %{_description}

%prep
%autosetup -n %{pypi_name}-%{version} -p1

%build
%pyproject_build

%install
%pyproject_install threadpoolctl==%{version}
install -d -m755 %{buildroot}/%{_pkgdocdir}
if [ -d doc ]; then cp -arf doc %{buildroot}/%{_pkgdocdir}; fi
if [ -d docs ]; then cp -arf docs %{buildroot}/%{_pkgdocdir}; fi
if [ -d example ]; then cp -arf example %{buildroot}/%{_pkgdocdir}; fi

%if %{with test}
%check
py.test-%{python3_version}
%endif

%files -n python3-%{pypi_name}
%license LICENSE
%doc README.md CHANGES.md
%{python3_sitelib}/*

%changelog
* Thu Apr 27 2023 jiangxinyu <jiangxinyu@kylinos.cn> - 3.1.0-3
- Use pyproject to compile package

* Thu Feb 16 2023 tanyulong <tanyulong@kylinos.cn> - 3.1.0-2
- enable check

* Fri Oct 28 2022 wangjunqi <wangjunqi@kylinos.cn> - 3.1.0-1
- Update package to version 3.1.0

* Thu Jun 23 2022 SimpleUpdate Robot <tc@openeuler.org> - 3.0.0-1
- Upgrade to version 3.0.0

* Fri Mar 4 2022 zhaoshuang <zhaoshuang@uniontech.com> - 2.1.0-3
- remove unnecessary buildrequires

* Fri Jan 28 2022 shixuantong <shixuantong@h-partners.com> - 2.1.0-2
- change source0 and modify build and install

* Thu Jan 28 2021 liudabo <liudabo1@huawei.com> - 2.1.0-1
- upgrade version to 2.1.0

* Mon Feb 10 2020 Jiangping Hu <hujp1985@foxmail.com> - 1.1.0-2
- Init package
